<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: personalAccountHandler.php,v 1.1.1.2.2.3 Tue 08 Apr 2008 07:03:10 PM CEST mstauber Exp $

include_once("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$i18n = $serverScriptHelper->getI18n("vz-user");
$loginName = $serverScriptHelper->getLoginName();

// get old settings
$user = $cceClient->getObject("User", array("name" => $loginName));

if ($is_adminUser == "1") {
	$attributes = array("fullName" => $fullNameField, "localePreference" => $languageField);
}
else {
	$attributes = array(	"fullName" => $fullNameField, 
				"localePreference" => $languageField,
				"customer_email" => $customer_email,
				"customer_company" => $customer_company,
				"customer_address" => $customer_address,
				"customer_city" => $customer_city,
				"customer_zip" => $customer_zip,
				"customer_state" => $customer_state,
				"customer_country" => $customer_country,
				"customer_phone" => $customer_phone,
				"customer_fax" => $customer_fax
			   );
}

$attributes = array("fullName" => $fullNameField, "localePreference" => $languageField);

if($newPasswordField)
  $attributes["password"] = $newPasswordField;

// Username = Password? Baaaad idea! 
if (strcasecmp($loginName, $newPasswordField) == 0) { 
        $attributes["password"] = "1"; 
        $errors[] = new Error("[[vz-user.error-password-equals-username]]"); 
} 
	 
// Only use cracklib if someting was entered into the $newPasswordField: 
if ($newPasswordField) { 
	 
    // Open CrackLib Dictionary for usage: 
    $dictionary = crack_opendict('/usr/share/dict/pw_dict') or die('Unable to open CrackLib dictionary'); 
	 
    // Perform password check with cracklib: 
    $check = crack_check($dictionary, $newPasswordField); 
	 
    // Retrieve messages from cracklib: 
    $diag = crack_getlastmessage(); 
	 
    if ($diag == 'strong password') { 
        // Nothing to do. Cracklib thinks it's a good password. 
    } 
    else { 
        $attributes["password"] = "1"; 
        $errors[] = new Error("[[vz-user.error-password-invalid]]" . $diag); 
    } 
	 
    // Close cracklib dictionary: 
    crack_closedict($dictionary); 
} 

if($styleField)
  $attributes["stylePreference"] = $styleField;

$cceClient->setObject("User", $attributes, "", array("name" => $loginName));
$errors = array_merge($errors, $cceClient->errors());

for ($i = 0; $i < count($errors); $i++) {
	if ( ($errors[$i]->code == 2) && ($errors[$i]->key === "password"))
	{
		$errors[$i]->message = "[[vz-user.error-invalid-password]]";
	}
}


print($serverScriptHelper->toHandlerHtml("/vz/user/personalAccount.php", $errors));

// reload browser window if style has changed
if(($cceClient->suspended() === false) && 
	(($styleField && $user["stylePreference"] != $styleField) || 
   	($languageField && $user["localePreference"] != $languageField))) 
{
  $reloadMessage = $i18n->getJs("reloadMessage");

  // need to set the encoding correctly or Japanese strings get murdered
  $encoding = $i18n->getProperty('encoding', 'palette');
  if ($encoding != 'none') {
	$encoding = "; charset=$encoding";
  } else {
	$encoding = "";
  }
?>
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-type" CONTENT="text/html<?php print $encoding; ?>">
</HEAD>
<BODY>
<SCRIPT LANGUAGE="javascript">
var strReloadMessage = '<?php print $reloadMessage; ?>';
alert(strReloadMessage);
setTimeout("top.location.reload();", 2);
</SCRIPT>
</BODY>
</HTML>
<?php
}

$serverScriptHelper->destructor();

?>
